Subject: Re: How to Import a bitkeeper repo into git

From: Andreas Ericsson <[email-masked]>
Date: Wed, 17 Oct 2007 17:50:00 +0200

Marco Costalba wrote:
> On 10/16/07, Andreas Ericsson <[email-masked]> wrote:
>> Marco Costalba wrote:
>>> On 10/16/07, Pete/Piet Delaney <[email-masked]> wrote:
>>>
>>>> Would it be worthwhile
>>>> to install Qt4 from src and try to use qgit-2.0?
>>>>
>>> Yes it is. There are a lot of new featrures, is almost as stable as
>>> the previous and if you are interested in file history (annotations)
>>> in qgit-2.0 this feature has been greatly speeded up.
>>>
>> The only thing I really, really, really don't like about qgit4 is the
>> fact that it fudges up the commit-message. I've been trying for two
>> days to get rid of the HTML output, but I just can't get it done
>> without the signed-off-by email being enclosed in &lt;&gt; tags.
>>
> 
> You mean when you commit some changes or when you brows the revisions?
> 

When I browse the revisions. 

> If it is the highlighted title that annoy you I can try to remove the
> background color, or set as plain text as an option.
> 

That does annoy me indeed, but the primary annoyance is the fact that
the subject is no longer listed with the rest of the commit message, but
rather above the ancestry links.

>> view without the colored box a lot more). The little arrows in the
>> commit window are also fairly annoying, as one quite quickly understands
>> that up-/down-arrows work much better for that sort of stuff anyway.
>>
> 
> Little arrows should already be removable from settings->browse->'Show
> smart labels' , you can also add lateral tabs with
> settings->browse->'Show tabbed revisions' if you like.
> 

Sweet. I'll have to look into it. Thanks for your gentle instruction, and
a great product :)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231